﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolTip;
using Infragistics.Win.UltraWinTabs;

namespace TabControlIssue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraToolTipManager1.DisplayStyle = Infragistics.Win.ToolTipDisplayStyle.Standard;
            ultraTabControl1.ShowToolTips = false;
        }

        private void ultraTabControl1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element.ToolTipItem != null && e.Element is TabItemUIElement)
            {
                TabItemUIElement tab = e.Element as TabItemUIElement;
                UltraToolTipInfo info = new UltraToolTipInfo();
                info.ToolTipTitle = "title";
                info.ToolTipTextFormatted = "Text " + tab.Text;
                ultraToolTipManager1.SetUltraToolTip(e.Element.Control, info);
                Point showPoint = Cursor.Position;
                showPoint.Y += 25;
                ultraToolTipManager1.ShowToolTip(e.Element.Control, showPoint);
                
            }
        }
    }
}
